%define piname	polar_pi
%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3

Name:		opencpn-polar-plugin
Summary:	Polar diagram generation plugin for OpenCPN
Version:	1.2.36.0
Release:	%mkrel 1
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/polar.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     polar-plugin-1.2.36-Configure.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Polar diagram generation plugin for OpenCpn 
It can use polar diagrams already generated from external sources

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake \

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Sun Feb 02 2025 philippedidier <philippedidier> 1.2.36.0-1.mga9
+ Revision: 2144727
- new version 1.2.36.0 improved - and based on last opencpn-libs
- new version 1.2.31.0 rebuilt with last opencpn-libs
- new version1.2.30.0

* Tue May 30 2023 philippedidier <philippedidier> 1.2.3-1.mga9
+ Revision: 1959945
- new version 1.2.3 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.1.29-2.mga9
+ Revision: 1868289
- New version 1.1.29
- New version

* Sun Apr 03 2022 umeabot <umeabot> 1.1.17.1-5.mga9
+ Revision: 1842551
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 1.1.17.1-4.mga9
+ Revision: 1737436
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- add mk-tar to download the source

* Mon Jul 12 2021 barjac <barjac> 1.1.17.1-3.mga9
+ Revision: 1735759
- Build with wxgtku3.0 not 3.1

* Fri Jan 01 2021 wally <wally> 1.1.17.1-2.mga8
+ Revision: 1667715
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 1.1.17.1-1.mga8
+ Revision: 1628996
- new version 1.1.17.1
- patch to use pkgconfig in cmake
- add git BR
- use autosetup
- fix files list and langs due to gratuitous capital letter from upstream

* Sun Aug 16 2020 wally <wally> 1.1.008-7.mga8
+ Revision: 1614357
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 1.1.008-6.mga8
+ Revision: 1538023
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 1.1.008-5.mga8
+ Revision: 1459480
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.1.008-4.mga8
+ Revision: 1421020
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.008-3.mga7
+ Revision: 1299998
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.1.008-2.mga7
+ Revision: 1239511
- fix build on aarch64
+ barjac <barjac>
- new version 1.1.008
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.1.007-3.mga6
+ Revision: 1106114
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.1.007-2.mga6
+ Revision: 1019834
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.1.007-1.mga6
+ Revision: 962220
- new package opencpn-polar-plugin

